%global _empty_manifest_terminate_build 0
Name:           python-troveclient
Version:        3.0.1
Release:        1
Summary:        Client library for OpenStack DBaaS API
License:        Apache-2.0
URL:            https://docs.openstack.org/python-troveclient/latest
Source0:        https://files.pythonhosted.org/packages/4d/49/6adb28df26aa3fc653906686440b186674dd53c09d42657150cf46c22abd/python-troveclient-3.0.1.tar.gz
BuildArch:      noarch
%description
This is a client for the OpenStack Trove API. There is a Python API (the troveclient module),
and a command-line script (trove). Each implements 100% of the OpenStack Trove API.

%package -n python3-troveclient
Summary:        Client library for OpenStack DBaaS API
Provides:       python-troveclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-babel
BuildRequires:  python3-prettytable
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-mistralclient
BuildRequires:  python3-swiftclient
BuildRequires:  python3-requests
BuildRequires:  python3-simplejson
BuildRequires:  python3-six
# General requires
Requires:       python3-babel
Requires:       python3-prettytable
Requires:       python3-keystoneauth1
Requires:       python3-osc-lib
Requires:       python3-oslo-i18n
Requires:       python3-oslo-utils
Requires:       python3-pbr
Requires:       python3-mistralclient
Requires:       python3-swiftclient
Requires:       python3-requests
Requires:       python3-simplejson
Requires:       python3-six
%description -n python3-troveclient
This is a client for the OpenStack Trove API. There is a Python API (the troveclient module),
and a command-line script (trove). Each implements 100% of the OpenStack Trove API.

%package help
Summary:        Client library for OpenStack DBaaS API
Provides:       python3-troveclient-doc
%description help
This is a client for the OpenStack Trove API. There is a Python API (the troveclient module),
and a command-line script (trove). Each implements 100% of the OpenStack Trove API.

%prep
%autosetup -n python-troveclient-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-troveclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Nov 02 2021 OpenStack_SIG <openstack@openeuler.org> - 3.0.1-1
- Downgrade to 3.0.1
* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 7.0.0-1
- Package Spec generate
